<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMRFODEEditViewBase from './emrfodeedit-view-base.vue';

import view_form from '@widgets/emrfode/main3-form/main3-form.vue';

/**
 * 现象信息
 *
 * @export
 * @class EMRFODEEditView
 * @extends {EMRFODEEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMRFODEEditView extends EMRFODEEditViewBase { }
</script>